# $Revision: 1.13 $, $Date: 2011/02/01 21:00:19 $
%define		trac_ver	0.12
%define		plugin		ticketchange
Summary:	Change ticket comments in Trac
Name:		trac-plugin-%{plugin}
Version:	0.0.4
Release:	7
License:	BSD
Group:		Applications/WWW
Source0:	http://trac-hacks.org/changeset/latest/ticketchangeplugin?old_path=/&format=zip#/%{plugin}-%{version}.zip
# Source0-md5:	f59788ca5f34354c0126f05d890862a7
URL:		http://trac-hacks.org/wiki/TicketChangePlugin
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.595
Requires:	trac >= %{trac_ver}
Requires:	trac-plugin-ticketdelete
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides a web interface to change ticket comments in Trac.

%prep
%setup -qc
mv %{plugin}plugin/0.11/* .

%build
%{__python} setup.py build
%{__python} setup.py egg_info

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--single-version-externally-managed \
	--optimize 2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post
%banner -o -e %{name} <<-'EOF'
Don't forget to enable ticketdelete in conf/trac.ini:

[components]
ticketchange.* = enabled
EOF
#'vim

%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/ticketchange
%{py_sitescriptdir}/TracTicketChange-*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: trac-plugin-ticketchange.spec,v $
Revision 1.13  2011/02/01 21:00:19  glen
- fix deps

Revision 1.12  2011/01/23 23:08:19  sparky
- BR: python-modules, python-setuptools, rpm-pythonprov

Revision 1.11  2010/08/12 01:14:39  zbyniu
- fix build, rel 6

Revision 1.10  2010/07/09 11:25:28  arekm
- release 5

Revision 1.9  2010/07/08 08:48:47  arekm
- release 4

Revision 1.8  2009/04/29 08:39:14  glen
- release 3

Revision 1.7  2009/04/29 07:07:42  glen
- really update to 0.11 sources

Revision 1.6  2009/04/29 06:55:08  glen
- more info from egg-info; rel 2

Revision 1.5  2009/04/29 06:53:27  glen
- version 0.0.4 from egg-info

Revision 1.4  2009/04/29 06:51:01  glen
- release 2

Revision 1.3  2009/04/06 13:39:55  glen
- release 1

Revision 1.2  2008/11/24 12:54:12  glen
- include trac.ini change help

Revision 1.1  2008/11/24 12:42:57  glen
- new
